#[derive(
    Debug,
    Clone,
    conjure_object::serde::Serialize,
    conjure_object::serde::Deserialize,
    PartialEq,
    Eq,
    PartialOrd,
    Ord,
    Hash
)]
#[serde(crate = "conjure_object::serde")]
#[conjure_object::private::staged_builder::staged_builder]
#[builder(crate = conjure_object::private::staged_builder, update, inline)]
pub struct Event {
    #[builder(default, into)]
    #[serde(rename = "displayName", skip_serializing_if = "Option::is_none", default)]
    display_name: Option<String>,
    #[serde(rename = "eventUuid")]
    event_uuid: conjure_object::Uuid,
    #[serde(rename = "isPinned")]
    is_pinned: bool,
}
impl Event {
    /// Constructs a new instance of the type.
    #[inline]
    pub fn new(event_uuid: conjure_object::Uuid, is_pinned: bool) -> Self {
        Self::builder().event_uuid(event_uuid).is_pinned(is_pinned).build()
    }
    #[inline]
    pub fn display_name(&self) -> Option<&str> {
        self.display_name.as_ref().map(|o| &**o)
    }
    #[inline]
    pub fn event_uuid(&self) -> conjure_object::Uuid {
        self.event_uuid
    }
    #[inline]
    pub fn is_pinned(&self) -> bool {
        self.is_pinned
    }
}
